from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContextOfUseValueSetCode(GenericTypeCode):
    """
    Context of Use ValueSet
    From: http://hl7.org/fhir/ValueSet/use-context in valuesets.xml
        This value set defines a base set of codes that can be used to indicate that
    the content in a resource was developed with a focus and intent of supporting
    use within particular contexts.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/use-context
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/use-context"
